import 'package:json_annotation/json_annotation.dart';

import '../../../../apiParams.dart';

part 'downloadFileParams.g.dart';

@JsonSerializable()
class DownloadFileParams extends ApiParams {
  String webdavSourcePath;
  String localTargetPath;
  String filename;

  DownloadFileParams(this.webdavSourcePath, this.localTargetPath, this.filename);

  factory DownloadFileParams.fromJson(Map<String, dynamic> json) => _$DownloadFileParamsFromJson(json);
  Map<String, dynamic> toJson() => _$DownloadFileParamsToJson(this);
}
